Bug 63198 - Response Time Vs Request and Latency Vs Request graphs don't line up with throughput
Summary: Response Time Vs Request and Latency Vs Request graphs don't line up with thr...
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 5.0
Hardware: All All
: P1 regression (vote)
Target Milestone: JMETER_5.1.1
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2019-02-21 21:42 UTC by bill.tutt
Modified: 2019-02-23 13:46 UTC (History)
2 users (show)



Attachments
Load script (10.48 KB, application/xml)
2019-02-21 21:42 UTC, bill.tutt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bill.tutt 2019-02-21 21:42:27 UTC
Created attachment 36451 [details]
Load script

While trying to write up a simple validation test for JMeter for internal process reasons. A coworker noticed that the Response Time Vs Request and Latency Vs Request data didn't make any sense with JMeter 5.0/5.1 but looks perfectly ok with 4.0.

As you can see the attached test is very simple and I manage to record ~1461 total requests.

However, the dashboard output generated via:
...\jmeter.bat -n -t <path>\TestBing_com.jmx -l <path>\TestLogfile.data -e
 -o <path>\JMeterReport

In 5.0 and 5.1 the total transaction per second graphed values never exceed 18.
However, the Response Time Vs Request has data points at:
1000 global req/s, 2000 global req/s, 3000 global req/s, 4000 global req/s.
Even the dashboard's total transactions/s doesn't exceed ~27.5.

The Latency Vs Request graph has similar data points.

The data in these graphs for 4.0 had more reasonable 2.0 and 7.0 global req/s data points.

This seems like a bug, but is it me misunderstanding a change in 5.0 to JMeter?

Thanks...
Comment 1 Philippe Mouawad 2019-02-22 09:09:14 UTC
Thanks for report.
Indeed there is something weird on those 2 graphs.
Comment 2 Philippe Mouawad 2019-02-22 10:03:43 UTC
Author: pmouawad
Date: Fri Feb 22 10:03:21 2019
New Revision: 1854130

URL: http://svn.apache.org/viewvc?rev=1854130&view=rev
Log:
Bug 63198 - Response Time Vs Request and Latency Vs Request graphs don't line up with throughput
Bugzilla Id: 63198

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/report/processor/graph/AbstractVersusRequestsGraphConsumer.java
    jmeter/trunk/xdocs/changes.xml
Comment 3 Philippe Mouawad 2019-02-22 10:06:39 UTC
Hello, 
Can you test the upcoming version that will be available in few minutes here:

- https://builds.apache.org/job/JMeter-trunk/lastSuccessfulBuild/artifact/trunk/dist/

It should be higher to build 7099 and r1854130
Comment 4 bill.tutt 2019-02-22 23:59:41 UTC
Your change produces much more sensible looking output.. 

The dashboard total transactions/s was 22.93.

The throughput Request Time Vs Request and Latency Vs Request had data points from 12 requests/s to 31 requests/s.

I think the issue has been fixed. Feel free to resolve away.

Thanks!